SDL_AudioRateFilters Struct Reference

`#include <SDL_audio_c.h>`

Collaboration diagram for SDL_AudioRateFilters:
[legend]

## Data Fields

SDL_AudioFormat | fmt
int | channels
int | upsample
int | multiple
SDL_AudioFilter | filter

## Detailed Description

Definition at line 45 of file SDL_audio_c.h.

## Field Documentation

int SDL_AudioRateFilters::channels

Definition at line 48 of file SDL_audio_c.h.

Referenced by SDL_BuildAudioResampleCVT().

SDL_AudioFilter SDL_AudioRateFilters::filter

Definition at line 51 of file SDL_audio_c.h.

Referenced by SDL_BuildAudioResampleCVT().

SDL_AudioFormat SDL_AudioRateFilters::fmt

Definition at line 47 of file SDL_audio_c.h.

Referenced by SDL_BuildAudioResampleCVT().

int SDL_AudioRateFilters::multiple

Definition at line 50 of file SDL_audio_c.h.

Referenced by SDL_BuildAudioResampleCVT().

int SDL_AudioRateFilters::upsample

Definition at line 49 of file SDL_audio_c.h.

Referenced by SDL_BuildAudioResampleCVT().

The documentation for this struct was generated from the following file:

- src/audio/SDL_audio_c.h